package com.ruoyi.common.constant;

/**
 * 缓存的key 常量
 * 
 * @author ruoyi
 */
public class CacheConstants
{
    /**
     * 登录用户 redis key
     */
    public static final String LOGIN_TOKEN_KEY = "login_tokens:";

    /**
     * 验证码 redis key
     */
    public static final String CAPTCHA_CODE_KEY = "captcha_codes:";

    /**
     * 短信登录验证码 redis key
     */
    public static final String SMS_LOGIN_CODE_KEY = "sms_login_codes:";

    /**
     * 短信登录验证码 redis key
     */
    public static final String SMS_REGISTER_CODE_KEY = "sms_register_codes:";

    /**
     * 短信密码更新验证码 redis key
     */
    public static final String SMS_UPDATE_PASSWORD_CODE_KEY = "sms_update_password_codes:";

    /**
     * 参数管理 cache key
     */
    public static final String SYS_CONFIG_KEY = "sys_config:";

    /**
     * 字典管理 cache key
     */
    public static final String SYS_DICT_KEY = "sys_dict:";

    /**
     * 防重提交 redis key
     */
    public static final String REPEAT_SUBMIT_KEY = "repeat_submit:";

    /**
     * 限流 redis key
     */
    public static final String RATE_LIMIT_KEY = "rate_limit:";

    /**
     * 登录账户密码错误次数 redis key
     */
    public static final String PWD_ERR_CNT_KEY = "pwd_err_cnt:";

    /**
     * wx的token缓存
     */
    public static final String WX_TOKEN = "wx_token:";


    /**
     * wx的ticket缓存
     */
    public static final String WX_TICKET = "wx_ticket:";

    /**
     * 用户拉黑数据
     */
    public static final String COMMUNITY_USER_BLOCK = "community:user:block";

    /**
     * 关注数据
     */
    public static final String COMMUNITY_USER_LIKE = "community:user:like";

    /**
     * 文章板块数据
     */
    public static final String COMMUNITY_ARTICLE_CLASS = "community:article:class";

    /**
     * 文章点赞数据
     */
    public static final String COMMUNITY_LIKE = "community:like";

    /**
     * 文章收藏数据
     */
    public static final String COMMUNITY_COLLECT = "community:collect";

    /**
     * 文章推荐数据
     */
    public static final String COMMUNITY_ARTICLE_RECOMMEND = "community:article:recommend";

    /**
     * 中奖信息数据
     */
    public static final String COMMUNITY_COMMENT_RAFFLE = "community:comment:raffle";

    /**
     * 文章标签数据
     */
    public static final String COMMUNITY_ARTICLE_TAG = "community:article:tag";

    /**
     * 文章标签数据
     */
    public static final String COMMUNITY_TAG_BLOCK = "community:tag:block";

    /**
     * 文章标签
     */
    public static final String COMMUNITY_TAG = "community:tag";
}
