package com.ruoyi.generator.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.generator.domain.Community.Version;
import com.ruoyi.generator.service.IVersionService;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/api/version")
public class VersionController {

    @Resource
    private IVersionService versionService;

    @GetMapping("/check")
    @ApiOperation("获取最新版本信息")
    @Anonymous
    public AjaxResult checkVersion(Integer versionSort) {
        // 查询数据库或配置中的最新版本信息
        Version latestVersion = versionService.getLatestVersion();
        boolean hasUpdate = latestVersion.getVersionSort() > versionSort;
        return AjaxResult.success()
                .put("hasUpdate", hasUpdate)
                .put("isMustUpdate", latestVersion.getIsMustUpdate())
                .put("versionCode", latestVersion.getVersionCode())
                .put("downloadUrl", latestVersion.getDownloadUrl())
                .put("releaseNotes", latestVersion.getDescription());
    }
}