package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* 文章评论回复表
* @TableName community_comment_reply
*/
@Data
@TableName("community_comment_reply")
public class CommunityCommentReply implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    @TableId("id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /**
    * 评论id
    */
    @ApiModelProperty("评论id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long commentId;
    /**
    * 父回复id
    */
    @ApiModelProperty("父回复id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentReplyId;
    /**
    * 回复用户id
    */
    @ApiModelProperty("回复用户id")
    private Long userId;
    /**
    * 回复内容
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("回复内容")
    @Length(max= -1,message="编码长度不能超过-1")
    private String content;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;
    /**
    * 更新时间
    */
    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    /**
    * 更新人
    */
    @ApiModelProperty("更新人")
    private Long updateBy;

    /**
     * 是否已读
     */
    @ApiModelProperty("是否已读")
    private boolean isRead;

    /**
     * 是否删除
     */
    @ApiModelProperty("是否删除")
    private boolean isDelete;

    /**
     * 图片地址
     */
    @ApiModelProperty("图片地址")
    private String imageUrl;

    /**
     * 用户地址
     */
    @ApiModelProperty("用户地址")
    private String address;

    /**
     * 父文章id（编辑文章，草稿箱来源）
     */
    @ApiModelProperty("文章at")
    @TableField(exist = false)
    private List<Long> atUserIds;
    /**
     * 通知是否删除
     */
    @ApiModelProperty("通知是否删除")
    private boolean isNotice;

}
