package com.ruoyi.generator.domain.Community;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("version")
public class Version {
    @NotNull(message = "[版本id]不能为空")
    @ApiModelProperty("版本id")
    @TableId(value = "id", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /**
     * 版本排序
     */
    @ApiModelProperty("版本排序")
    private Integer versionSort;

    /**
     * 版本号
     */
    @ApiModelProperty("版本号")
    private String versionCode;

    /**
     * 下载地址
     */
    @ApiModelProperty("下载地址")
    private String downloadUrl;

    /**
     * 描述
     */
    @ApiModelProperty("描述")
    private String description;

    /**
     * 是否强制更新
     */
    @ApiModelProperty("是否强制更新")
    private Boolean isMustUpdate;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    private Long createBy;
}
