package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.generator.domain.Community.CommunityArticleComment;
import com.ruoyi.generator.mapper.community.CommunityArticleCommentMapper;
import com.ruoyi.generator.vo.CommentVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CommunityArticleCommentServiceImpl extends ServiceImpl<CommunityArticleCommentMapper, CommunityArticleComment> implements ICommunityArticleCommentService {

    @Resource
    private CommunityArticleCommentMapper communityArticleCommentMapper;

    /**
     * 获取当前用户文章的所有评论信息
     *
     * @param userId 当前用户id
     * @return 该用户的文章信息
     */
    @Override
    public List<CommentVo> getCommentInfoByUserId(long userId, int offset, int limit, int searchType) {
        return communityArticleCommentMapper.getCommentListByUserId(userId,offset,limit,searchType);
    }
}
