package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.generator.domain.Community.CommunityReturnRecord;
import com.ruoyi.generator.mapper.community.CommunityReturnRecordMapper;
import com.ruoyi.system.domain.vo.SysUserVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class CommunityReturnRecordServiceImpl extends ServiceImpl<CommunityReturnRecordMapper, CommunityReturnRecord> implements ICommunityReturnRecordService {

    @Resource
    private CommunityReturnRecordMapper returnRecordMapper;

    @Override
    public List<CommunityReturnRecord> getReturnRecord(Long userId, String status) {
        List<CommunityReturnRecord> returnRecords = null;
        List<SysUserVo> sysUserChatVos = null;
        switch (status) {
            case "0": //待完成
                returnRecords = returnRecordMapper.selectList(new QueryWrapper<CommunityReturnRecord>()
                        .eq("return_create_user_id", userId)
                        .eq("status", false)
                        .eq("is_delete", false));
                break;
            case "1": //待返图
                returnRecords = returnRecordMapper.selectList(new QueryWrapper<CommunityReturnRecord>()
                        .eq("return_receive_user_id", userId)
                        .eq("status", false)
                        .eq("is_delete", false));
                break;
            case "2": //已完成
                returnRecords = returnRecordMapper.selectList(new QueryWrapper<CommunityReturnRecord>()
                        .and(wrapper ->
                                wrapper.eq("return_receive_user_id", userId)
                                        .or()
                                        .eq("return_create_user_id", userId))
                        .eq("status", true)
                        .eq("is_delete", false));
                break;
        }
        return returnRecords;
    }
}
