package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.generator.domain.Community.Version;
import com.ruoyi.generator.mapper.community.VersionMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class VersionServiceImpl extends ServiceImpl<VersionMapper, Version> implements IVersionService {

    @Resource
    private VersionMapper versionMapper;

    @Override
    public Version getLatestVersion() {
        Version version = versionMapper.selectOne(new QueryWrapper<Version>()
                .eq("status", false)
                .orderByDesc("version_sort")
                .last("limit 1"));
        return version;
    }
}
