package generator.domain;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import javax.validation.constraints.NotNull;

import java.io.Serializable;

import java.util.Date;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
* 版本
* @TableName version
*/
public class Version implements Serializable {

    /**
    * 唯一id
    */
    @NotNull(message="[唯一id]不能为空")
    @ApiModelProperty("唯一id")
    private Long id;
    /**
    * 版本号
    */
    @Size(max= 255,message="编码长度不能超过255")
    @ApiModelProperty("版本号")
    @Length(max= 255,message="编码长度不能超过255")
    private String versionCode;
    /**
    * 下载地址
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("下载地址")
    @Length(max= -1,message="编码长度不能超过-1")
    private String downloadUrl;
    /**
    * 描述
    */
    @Size(max= -1,message="编码长度不能超过-1")
    @ApiModelProperty("描述")
    @Length(max= -1,message="编码长度不能超过-1")
    private String description;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createTime;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createBy;

    /**
    * 唯一id
    */
    private void setId(Long id){
    this.id = id;
    }

    /**
    * 版本号
    */
    private void setVersionCode(String versionCode){
    this.versionCode = versionCode;
    }

    /**
    * 下载地址
    */
    private void setDownloadUrl(String downloadUrl){
    this.downloadUrl = downloadUrl;
    }

    /**
    * 描述
    */
    private void setDescription(String description){
    this.description = description;
    }

    /**
    * 创建时间
    */
    private void setCreateTime(Date createTime){
    this.createTime = createTime;
    }

    /**
    * 创建人
    */
    private void setCreateBy(Long createBy){
    this.createBy = createBy;
    }


    /**
    * 唯一id
    */
    private Long getId(){
    return this.id;
    }

    /**
    * 版本号
    */
    private String getVersionCode(){
    return this.versionCode;
    }

    /**
    * 下载地址
    */
    private String getDownloadUrl(){
    return this.downloadUrl;
    }

    /**
    * 描述
    */
    private String getDescription(){
    return this.description;
    }

    /**
    * 创建时间
    */
    private Date getCreateTime(){
    return this.createTime;
    }

    /**
    * 创建人
    */
    private Long getCreateBy(){
    return this.createBy;
    }

}
