package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.CommunityChatMsg;
import com.ruoyi.system.domain.vo.SysUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CommunityChatMsgMapper extends BaseMapper<CommunityChatMsg> {
    /**
     * 获取登录用户的聊天列表
     *
     * @param userId
     * @return
     */
    List<SysUserVo> getChatListWithLatestMessage(@Param("userId") Long userId,
                                                 @Param("type") String type);

    /**
     * 获取登录用户的返图聊天列表
     *
     * @param userId
     * @return
     */
    List<SysUserVo> getReturnChatMessage(@Param("userId") Long userId,
                                         @Param("type") String type,
                                         @Param("searchValue") String searchValue,
                                         @Param("returnRecordIds")  List<Long> returnRecordIds,
                                         @Param("offset") int offset,
                                         @Param("limit") int limit);

    /**
     * 获取登录用户聊天记录
     *
     * @param userId
     * @param otherUserId
     * @param type
     * @return
     */
    List<CommunityChatMsg> getChatMsgRecord(@Param("userId") Long userId,
                                            @Param("otherUserId") Long otherUserId,
                                            @Param("type") String type,
                                            @Param("offset") int offset,
                                            @Param("limit") int limit);
}
